---
updatedAt: 2026-10-31T08:03:05.000Z
agentTools:
  projectIndex: https://developer.accelevents.com/llms.txt
---

# Get All Attendee Details

This API will return all attendee details from a list of user-id.

API accepts user-ids & EventUrl in request parameter.

## Response

Here is the description of response attributes, which returns to the form of JSON.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Attributes
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **id** 
      </td>

      <td>
        Contains the unique attendee id of the attendee to save in attendee DB.
      </td>
    </tr>

    <tr>
      <td>
        **userId** 
      </td>

      <td>
        Contains the unique user id of the attendee of the event.
      </td>
    </tr>

    <tr>
      <td>
        **firstName** 
      </td>

      <td>
        Contains the first name of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **lastName** 
      </td>

      <td>
        Contains the last name of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **pronouns** 
      </td>

      <td>
        Contains pronouns of attendee like she/hers, he/his, they/them.
      </td>
    </tr>

    <tr>
      <td>
        **photo** 
      </td>

      <td>
        Contains the unique value of the attendee photo which is fetched from the cloud.
      </td>
    </tr>

    <tr>
      <td>
        **coverPhoto** 
      </td>

      <td>
        Contains the unique value of the attendee cover photo which is fetched from the cloud.
      </td>
    </tr>

    <tr>
      <td>
        **acceptDirectMessages** 
      </td>

      <td>
        Contains a boolean value if the attendee can accept direct messages from other attendees or not.
      </td>
    </tr>

    <tr>
      <td>
        **acceptMeetingRequests** 
      </td>

      <td>
        Contains a value if the attendee can accept meeting requests from other attendees or not.\
        Values are EVERY\_ONE, NO\_ONE, MY\_CONNECTION
      </td>
    </tr>

    <tr>
      <td>
        **showContactInfo** 
      </td>

      <td>
        Contains a boolean value if the user can show contact info to other attendees.
      </td>
    </tr>

    <tr>
      <td>
        **company** 
      </td>

      <td>
        Contains the company name of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **title** 
      </td>

      <td>
        Contains the job title of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **timezoneId** 
      </td>

      <td>
        Contains the timezone id of attendee based on their location.
      </td>
    </tr>

    <tr>
      <td>
        **equivalentTimezone** 
      </td>

      <td>
        Contains the equivalent timezone id of attendees where they participated in an event.
      </td>
    </tr>

    <tr>
      <td>
        **status** 
      </td>

      <td>
        Contains the status of the connection request like ACCEPT, REJECT, REQUESTED
      </td>
    </tr>

    <tr>
      <td>
        **rejectedBy** 
      </td>

      <td>
        Contains the id of the attendee who rejects the request of the attendee.
      </td>
    </tr>

    <tr>
      <td>
         **eventId** 
      </td>

      <td>
        Contains the current event id of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **videoIntro** 
      </td>

      <td>
        Contains a video introduction link of attendee.
      </td>
    </tr>

    <tr>
      <td>
        **extraInfo** 
      </td>

      <td>
        Contains an extra information link of attendee.
      </td>
    </tr>

    <tr>
      <td>
        **interests** 
      </td>

      <td>
        Contains an interest list of attendee.
      </td>
    </tr>

    <tr>
      <td>
        **availabilityDuration** 
      </td>

      <td>
        Contains availability duration of attendee for meetings.
      </td>
    </tr>

    <tr>
      <td>
        **request** 
      </td>

      <td>
        Contains boolean value if attendee sent request or not.
      </td>
    </tr>

    <tr>
      <td>
        **instagram** 
      </td>

      <td>
        Contains the Instagram profile link of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **facebook** 
      </td>

      <td>
        Contains the Facebook profile link of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **twitter** 
      </td>

      <td>
        It contains a Twitter profile link of the attendee
      </td>
    </tr>

    <tr>
      <td>
        **linkedIn** 
      </td>

      <td>
        Contains the LinkedIn profile link of the attendee.
      </td>
    </tr>

    <tr>
      <td>
        **availabilityStartTime** 
      </td>

      <td>
        Contains availability start time of attendee for meeting.
      </td>
    </tr>

    <tr>
      <td>
        **availabilityEndTime** 
      </td>

      <td>
        Contains availability end time of attendee for meeting.
      </td>
    </tr>

    <tr>
      <td>
        **availabilityTimezoneId** 
      </td>

      <td>
        Contains availability timezone id for when attendee is available for meeting.
      </td>
    </tr>

    <tr>
      <td>
        **showProfile** 
      </td>

      <td>
        Contains a boolean value if attendee wants to show profile or not.
      </td>
    </tr>

    <tr>
      <td>
        **rules** 
      </td>

      <td>
        Contains attendee list of their own availability rule.
      </td>
    </tr>

    <tr>
      <td>
        **meetingAvailabilitySetted** 
      </td>

      <td>
        Contains boolean value if 'true' then attendee is set available for meeting.
      </td>
    </tr>

    <tr>
      <td>
        **emailNotification** 
      </td>

      <td>
        Contains attendees who want to receive an email notification when they are offline and someone sends connect or meeting request. When value returns as 'true' attendee will receive email.
      </td>
    </tr>

    <tr>
      <td>
        **allowCallsAndVideosFromNotConnectedAttendees** 
      </td>

      <td>
        Contains boolean value if the attendee can receive allow calls and videos from not connected attendees.
      </td>
    </tr>

    <tr>
      <td>
        **exposeProfileToOtherUser** 
      </td>

      <td>
        Contains boolean value if the attendee wants to share their profile or not.
      </td>
    </tr>

    <tr>
      <td>
        **user** 
      </td>

      <td>
        Contains the unique id of the attendee to save in attendee DB.
      </td>
    </tr>
  </tbody>
</Table>

## Error Code

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Error Code
      </th>

      <th>
        Error Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        200
      </td>

      <td>
        The request could not be understood by the server due to malformed syntax.
      </td>
    </tr>

    <tr>
      <td>
        401
      </td>

      <td>
        You are not authorized to view the resource
      </td>
    </tr>

    <tr>
      <td>
        403
      </td>

      <td>
        Accessing the resource you were trying to reach is forbidden.
      </td>
    </tr>

    <tr>
      <td>
        404
      </td>

      <td>
        The resource you were trying to reach is not found.
      </td>
    </tr>

    <tr>
      <td>
        4030201
      </td>

      <td>
        Not Event Host
      </td>
    </tr>

    <tr>
      <td>
        4040100
      </td>

      <td>
        User Not Found
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accelevents",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.accelevents.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/rest/event/{eventUrl}/people/getAttendeesDetails": {
      "get": {
        "summary": "Get All Attendee Details",
        "description": "This API will return all attendee details from a list of user-id.\n\nAPI accepts user-ids & EventUrl in request parameter.",
        "operationId": "all-company-representative-details-for-send-connect-request",
        "parameters": [
          {
            "name": "eventUrl",
            "in": "path",
            "description": "Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "userIds",
            "in": "query",
            "description": "it contains list of attendees userId  for whom we want get details",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "required": false
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "API Authentication Token",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n    \"id\": \"247\",\n    \"userId\": 247,\n    \"firstName\": null,\n    \"lastName\": null,\n    \"pronouns\": \"\",\n    \"photo\": null,\n    \"coverPhoto\": null,\n    \"acceptDirectMessages\": true,\n    \"acceptMeetingRequests\": \"EVERY_ONE\",\n    \"showContactInfo\": true,\n    \"company\": \"\",\n    \"title\": \"\",\n    \"timezoneId\": \"India Time\",\n    \"equivalentTimezone\": null,\n    \"status\": \"REQUESTED\",\n    \"rejectedBy\": null,\n    \"eventId\": 5536,\n    \"videoIntro\": null,\n    \"extraInfo\": null,\n    \"interests\": null,\n    \"availabilityDuration\": 20,\n    \"request\": true,\n    \"instagram\": \"https://www.instagram.com/username\",\n    \"facebook\": \"https://www.facebook.com/profile.php?id=1234567890\",\n    \"twitter\": \"https://www.twitter.com/username\",\n    \"linkedIn\": \"https://www.linkedin.com/in/username\",\n    \"availabilityStartTime\": null,\n    \"availabilityEndTime\": null,\n    \"availabilityTimezoneId\": \"Asia/Calcutta\",\n    \"showProfile\": true,\n    \"rules\": [\n      \n    ],\n    \"meetingAvailabilitySetted\": true,\n    \"emailNotification\": true,\n    \"allowCallsAndVideosFromNotConnectedAttendees\": false,\n    \"exposeProfileToOtherUser\": true,\n    \"user\": 247\n  },\n  {\n    \"id\": \"152\",\n    \"userId\": 152,\n    \"firstName\": null,\n    \"lastName\": null,\n    \"pronouns\": \"\",\n    \"photo\": null,\n    \"coverPhoto\": null,\n    \"acceptDirectMessages\": true,\n    \"acceptMeetingRequests\": \"EVERY_ONE\",\n    \"showContactInfo\": true,\n    \"company\": \"\",\n    \"title\": \"\",\n    \"timezoneId\": \"India Time\",\n    \"equivalentTimezone\": null,\n    \"status\": null,\n    \"rejectedBy\": null,\n    \"eventId\": 869,\n    \"videoIntro\": null,\n    \"extraInfo\": null,\n    \"interests\": null,\n    \"availabilityDuration\": 20,\n    \"request\": false,\n    \"instagram\": \"\",\n    \"facebook\": \"\",\n    \"twitter\": \"\",\n    \"linkedIn\": \"\",\n    \"availabilityStartTime\": null,\n    \"availabilityEndTime\": null,\n    \"availabilityTimezoneId\": \"Asia/Calcutta\",\n    \"showProfile\": true,\n    \"rules\": [\n      \n    ],\n    \"meetingAvailabilitySetted\": true,\n    \"emailNotification\": true,\n    \"allowCallsAndVideosFromNotConnectedAttendees\": false,\n    \"exposeProfileToOtherUser\": true,\n    \"user\": 152\n  }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "example": "247"
                      },
                      "userId": {
                        "type": "integer",
                        "example": 247,
                        "default": 0
                      },
                      "firstName": {},
                      "lastName": {},
                      "pronouns": {
                        "type": "string",
                        "example": ""
                      },
                      "photo": {},
                      "coverPhoto": {},
                      "acceptDirectMessages": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "acceptMeetingRequests": {
                        "type": "string",
                        "example": "EVERY_ONE"
                      },
                      "showContactInfo": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "company": {
                        "type": "string",
                        "example": ""
                      },
                      "title": {
                        "type": "string",
                        "example": ""
                      },
                      "timezoneId": {
                        "type": "string",
                        "example": "India Time"
                      },
                      "equivalentTimezone": {},
                      "status": {
                        "type": "string",
                        "example": "REQUESTED"
                      },
                      "rejectedBy": {},
                      "eventId": {
                        "type": "integer",
                        "example": 5536,
                        "default": 0
                      },
                      "videoIntro": {},
                      "extraInfo": {},
                      "interests": {},
                      "availabilityDuration": {
                        "type": "integer",
                        "example": 20,
                        "default": 0
                      },
                      "request": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "instagram": {
                        "type": "string",
                        "example": "https://www.instagram.com/username"
                      },
                      "facebook": {
                        "type": "string",
                        "example": "https://www.facebook.com/profile.php?id=1234567890"
                      },
                      "twitter": {
                        "type": "string",
                        "example": "https://www.twitter.com/username"
                      },
                      "linkedIn": {
                        "type": "string",
                        "example": "https://www.linkedin.com/in/username"
                      },
                      "availabilityStartTime": {},
                      "availabilityEndTime": {},
                      "availabilityTimezoneId": {
                        "type": "string",
                        "example": "Asia/Calcutta"
                      },
                      "showProfile": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "rules": {
                        "type": "array"
                      },
                      "meetingAvailabilitySetted": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "emailNotification": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "allowCallsAndVideosFromNotConnectedAttendees": {
                        "type": "boolean",
                        "example": false,
                        "default": true
                      },
                      "exposeProfileToOtherUser": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "user": {
                        "type": "integer",
                        "example": 247,
                        "default": 0
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```